Debian Bug report logs - #434647
kaffe: Kaffe makes itself the default on upgrade

version graph

Package: kaffe; Maintainer for kaffe is (unknown);

Reported by: Ken Bloom <kbloom@gmail.com>

Date: Wed, 25 Jul 2007 14:42:02 UTC

Severity: serious

Tags: patch

Found in versions kaffe/2:1.1.7-4, 1.1.8-5.1

Fixed in version kaffe/2:1.1.8-5.2

Done: Stefano Zacchiroli <zack@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#434647; Package kaffe. Full text and rfc822 format available.

Acknowledgement sent to Ken Bloom <kbloom@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ken Bloom <kbloom@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kaffe: Kaffe makes itself the default on upgrade
Date: Wed, 25 Jul 2007 09:39:49 -0500
Package: kaffe
Version: 2:1.1.7-4
Severity: normal

Whenever kaffe gets upgraded it becomes the default java compiler,
even if I have previously gone to update-alternatives --configure and
set something else as the default.

The culprit is the line from kaffe.prerm
update-alternatives --auto $file || true

Please remove this line. No maintainer scripts should ever run this
line as it (by definition) overrides the system administrator's
preferences about the alternatives link.

(I'm struck by the fact that this is the next level of pushiness and
inconsiderateness over a bug I filed a few years ago against the kaffe
package http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=281666.
Please learn how the alternatives system is supposed to work, and how
to respect the system administrator's preferences.)

--Ken

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1ken (SMP w/1 CPU core; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kaffe depends on:
ii  kaffe-pthreads                2:1.1.7-4  A POSIX threads enabled version of

kaffe recommends no packages.

-- no debconf information



Bug marked as found in version 1.1.8-5.1. Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Thu, 23 Oct 2008 21:33:03 GMT) Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Thu, 23 Oct 2008 21:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#434647; Package kaffe. (Fri, 24 Oct 2008 12:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Schoenfeld <schoenfeld@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Fri, 24 Oct 2008 12:33:05 GMT) Full text and rfc822 format available.

Message #14 received at 434647@bugs.debian.org (full text, mbox):

From: Patrick Schoenfeld <schoenfeld@debian.org>
To: 434647@bugs.debian.org
Subject: Re: kaffe: Kaffe makes itself the default on upgrade
Date: Fri, 24 Oct 2008 14:29:38 +0200
[Message part 1 (text/plain, inline)]
Tags 434647 + patch
thanks

Hi,

> The culprit is the line from kaffe.prerm
> update-alternatives --auto $file || true

yep, I agree with this assessment.

> Please remove this line. No maintainer scripts should ever run this
> line as it (by definition) overrides the system administrator's
> preferences about the alternatives link.

Therefore the appropriate action is to remove this line (and similar ones)
from the packages maintainer scripts. Attached patch does that. Its untested
as I was unable to build the package. Need to see whats causing me trouble
first. I think I'm just lacking disk space or so..

Best Regards,
Patrick
[434647.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Fri, 24 Oct 2008 14:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#434647; Package kaffe. (Sun, 26 Oct 2008 18:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 26 Oct 2008 18:48:04 GMT) Full text and rfc822 format available.

Message #21 received at 434647@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 434647@bugs.debian.org
Cc: Patrick Schoenfeld <schoenfeld@debian.org>
Subject: NMU is coming
Date: Sun, 26 Oct 2008 19:40:26 +0100
[Message part 1 (text/plain, inline)]
I'm going to NMU to unstable a fixed version of kaffe as soon the
build is complete. Attached you can find the current debdiff.

AFAICT Patrick's patch was missing the fix for kaffe's pre*inst*. The
attached patch fixes that as well.

Cheers.

-- 
Stefano Zacchiroli -*- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'รจ sempre /oo\ All one has to do is hit the right
uno zaino        -- A.Bergonzoni \__/ keys at the right time -- J.S.Bach
[kaffe-no_auto_alternatives.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#434647; Package kaffe. (Sun, 26 Oct 2008 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Chanoch (Ken) Bloom" <kbloom@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 26 Oct 2008 19:48:02 GMT) Full text and rfc822 format available.

Message #26 received at 434647@bugs.debian.org (full text, mbox):

From: "Chanoch (Ken) Bloom" <kbloom@gmail.com>
To: 434647@bugs.debian.org
Subject: NMU
Date: Sun, 26 Oct 2008 14:45:30 -0500
[Message part 1 (text/plain, inline)]
I have a build that fixes this at http://lingcog.iit.edu/~bloom/kaffe/
if someone wants to check it and sponsor my upload.

The attached patch adds one more location of update-alternatives
--auto in addition to the others already patched, and it gets the
direction of the patch right

--Ken

-- 
Chanoch (Ken) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/
[kaffe.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stefano Zacchiroli <zack@debian.org>:
You have taken responsibility. (Sun, 26 Oct 2008 19:51:06 GMT) Full text and rfc822 format available.

Notification sent to Ken Bloom <kbloom@gmail.com>:
Bug acknowledged by developer. (Sun, 26 Oct 2008 19:51:06 GMT) Full text and rfc822 format available.

Message #31 received at 434647-close@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 434647-close@bugs.debian.org
Subject: Bug#434647: fixed in kaffe 2:1.1.8-5.2
Date: Sun, 26 Oct 2008 19:47:04 +0000
Source: kaffe
Source-Version: 2:1.1.8-5.2

We believe that the bug you reported is fixed in the latest version of
kaffe, which is due to be installed in the Debian FTP archive:

jikes-kaffe_1.1.8-5.2_all.deb
  to pool/main/k/kaffe/jikes-kaffe_1.1.8-5.2_all.deb
kaffe-common_1.1.8-5.2_all.deb
  to pool/main/k/kaffe/kaffe-common_1.1.8-5.2_all.deb
kaffe-dev_1.1.8-5.2_all.deb
  to pool/main/k/kaffe/kaffe-dev_1.1.8-5.2_all.deb
kaffe-doc_1.1.8-5.2_all.deb
  to pool/main/k/kaffe/kaffe-doc_1.1.8-5.2_all.deb
kaffe-jthreads_1.1.8-5.2_amd64.deb
  to pool/main/k/kaffe/kaffe-jthreads_1.1.8-5.2_amd64.deb
kaffe-pthreads_1.1.8-5.2_amd64.deb
  to pool/main/k/kaffe/kaffe-pthreads_1.1.8-5.2_amd64.deb
kaffe_1.1.8-5.2.diff.gz
  to pool/main/k/kaffe/kaffe_1.1.8-5.2.diff.gz
kaffe_1.1.8-5.2.dsc
  to pool/main/k/kaffe/kaffe_1.1.8-5.2.dsc
kaffe_1.1.8-5.2_all.deb
  to pool/main/k/kaffe/kaffe_1.1.8-5.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 434647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Zacchiroli <zack@debian.org> (supplier of updated kaffe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 26 Oct 2008 19:25:03 +0100
Source: kaffe
Binary: kaffe kaffe-jthreads kaffe-pthreads kaffe-common kaffe-dev jikes-kaffe kaffe-doc
Architecture: source all amd64
Version: 2:1.1.8-5.2
Distribution: unstable
Urgency: high
Maintainer: Stefano Zacchiroli <zack@debian.org>
Changed-By: Stefano Zacchiroli <zack@debian.org>
Description: 
 jikes-kaffe - Wrapper for jikes using Kaffe classes
 kaffe      - A JVM to run Java bytecode
 kaffe-common - Files shared between all Kaffe VM versions
 kaffe-dev  - Header files and other resources for building against Kaffe
 kaffe-doc  - Documentation for the Kaffe VM
 kaffe-jthreads - A green threads enabled version of the Kaffe VM
 kaffe-pthreads - A POSIX threads enabled version of the Kaffe VM
Closes: 434647
Changes: 
 kaffe (2:1.1.8-5.2) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Avoid making kaffe the default java compiler upon configuration,
     overriding local choices. Thanks to Patrick Schoenfeld for the patch.
     Closes: #434647
Checksums-Sha1: 
 b5c0198e42c89c066b8da3322f7ed9e52ac46f86 1813 kaffe_1.1.8-5.2.dsc
 2d16812e711179df109bebebc3f4cca2c3dd319a 38701 kaffe_1.1.8-5.2.diff.gz
 dce1b548ba744dd1fc12928e1b3928eb58f4cfb2 66690 kaffe_1.1.8-5.2_all.deb
 a600cfb886cd0b12bfa05bd5c13909799f6f5a97 8246626 kaffe-common_1.1.8-5.2_all.deb
 3391c0a4597912c2599395918c80f935dcb65fd5 84836 kaffe-dev_1.1.8-5.2_all.deb
 43898c9a4e52308dc4473ccc962ed511a1bae265 65014 jikes-kaffe_1.1.8-5.2_all.deb
 46ffea686a97546902f92533c63d07375c0375d1 152670 kaffe-doc_1.1.8-5.2_all.deb
 028e96930056829be1392e3660938ff5b9d1d808 1512290 kaffe-jthreads_1.1.8-5.2_amd64.deb
 225965d8fbf652f04bb5ed67aa268d8e25a6c915 1803400 kaffe-pthreads_1.1.8-5.2_amd64.deb
Checksums-Sha256: 
 e7b44000d72f52ec8cd94f691a97a014fe2da8949ac81242c1ff6aceace49311 1813 kaffe_1.1.8-5.2.dsc
 b67d7e1e2656f70a612f3e8699e842510574c9b72a89d3db905ff2ff08491a87 38701 kaffe_1.1.8-5.2.diff.gz
 45d4efe5d8da4f2ce0c765b81b16969f866726c98b0b95b1af67f5fa62dd25bf 66690 kaffe_1.1.8-5.2_all.deb
 266c81b74cb2ff6fc2eedfb491386489f61a18c493548a41c0d243b7c619b826 8246626 kaffe-common_1.1.8-5.2_all.deb
 e9caaffefb164932b9a5d71cad29ebeff8da02092bfb32a7c7294b9f0572b226 84836 kaffe-dev_1.1.8-5.2_all.deb
 803d557c41d83311b4b77d3568354c54d031ab96887999ee0c970ca022f67c41 65014 jikes-kaffe_1.1.8-5.2_all.deb
 267e4938bbe0d65bf1ae1fb162badfaa6f2a873b73c824569312c460df7d8761 152670 kaffe-doc_1.1.8-5.2_all.deb
 16f0651e94f993e55723acb2bb560c7226e01020c83e134a68d61c4ce057afc0 1512290 kaffe-jthreads_1.1.8-5.2_amd64.deb
 366966a3e581e127b040dfc517aa429a09180572bbe37984967304e2b77756c7 1803400 kaffe-pthreads_1.1.8-5.2_amd64.deb
Files: 
 2b59297f10731949cc74b6ee49136623 1813 interpreters optional kaffe_1.1.8-5.2.dsc
 388ee75da0b8278c09fec10cd013b348 38701 interpreters optional kaffe_1.1.8-5.2.diff.gz
 52db01defe9d92778a42bb67d31087b8 66690 interpreters optional kaffe_1.1.8-5.2_all.deb
 13343bc4d05d6bb8b812b8a20e0d82fe 8246626 interpreters optional kaffe-common_1.1.8-5.2_all.deb
 08dcd62e329283df726eb1fad657ad4d 84836 interpreters optional kaffe-dev_1.1.8-5.2_all.deb
 0b73e880f585e07b6560dd20ae7b8fc3 65014 interpreters optional jikes-kaffe_1.1.8-5.2_all.deb
 31587b778868167cd8ccb26b131597b0 152670 doc optional kaffe-doc_1.1.8-5.2_all.deb
 12461f813955a65a4d54501e8f65f4a4 1512290 interpreters optional kaffe-jthreads_1.1.8-5.2_amd64.deb
 8116713ecb27e6c73942f42ce00698ef 1803400 interpreters optional kaffe-pthreads_1.1.8-5.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJBMP21cqbBPLEI7wRAltxAJ0a4fNVktTryfYNwOI/7SJtukFgDwCgmnju
9bF6ifq5z93WBNhtHZ4ZIzk=
=sMFF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:57:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:47:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.